<?php
$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_a11bd5f" . "e4a61757" . "54726d93" . "4efa5c55" . "d" => base64_decode("U3RhcnQgYXQ6I" . "A=="), "_c06c961f3937" . "42ecfd52b7226" . "3ac9470" => base64_decode("aW5" . "0dm" . "Fs"));





class BackupRunnerFull extends BackupRunnerAbstract
{
    protected $type = 'full';
    
    
    
    
    
    
    
    protected function IsAlwaysExported(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97)
    {
        return false;
    }
    
    
    
    
    
    
    protected function SaveWithoutExport(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97, DOMElement $_20ddb008f3841f2ea5794896a5d32362)
    {
    }
    
    
    
    
    
    protected function BackupStartUp()
    {
        $this->bk->log->AddEntry($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_a11bd5fe4a6175754726d934efa5c55" . "d"] . $this->now->getDate(DATE_FORMAT_CLA_DATETIME));
        $this->bk->next_full->addDays($this->bk->full_period);
        $this->bk->status = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_c06c961f393742ec" . "fd52b72263ac9470"](!$this->bk->eh->IsError());
        $this->bk->Update();
    }
}